﻿using Connected.Enums;

namespace Connected.Models.Modal;
public class ModalOptions
{
	public bool DisableEscKey { get; set; } = false;
	public bool DisableBackdropClick { get; set; } = false;
	public bool NoHeader { get; set; } = false;

	public ModalType Type { get; set; } = ModalType.Default;

	public ModalOptions()
	{ 
	}

	public ModalOptions(ModalOptions options)
	{
		DisableBackdropClick = options.DisableBackdropClick;
		NoHeader = options.NoHeader;
		DisableEscKey = options.DisableEscKey;
	}

	public ModalOptions(bool disableEscKey, bool disableBackdropClick, bool noHeader)
	{
		DisableEscKey = disableEscKey;
		DisableBackdropClick = disableBackdropClick;
		NoHeader = noHeader;
	}
}
